### Parameters

- `F : Cstubs.FOREIGN`

### Signature

`module Types : sig ... end`

`val sigemptyset : (Types.sigset_t Ctypes_static.ptr -> int F.return) F.result`
`val sigaddset : (Types.sigset_t Ctypes_static.ptr -> int -> int F.return) F.result`
`val sigismember : (Types.sigset_t Ctypes_static.ptr -> int -> int F.return) F.result`
`val pthread_sigmask : (int -> Types.sigset_t Ctypes_static.ptr -> Types.sigset_t Ctypes_static.ptr -> int F.return) F.result`
`val sigprocmask : (int -> Types.sigset_t Ctypes_static.ptr -> Types.sigset_t Ctypes_static.ptr -> int F.return) F.result`